package com.emsi.tp1biir72;

import android.content.Context;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import java.util.List;

public class EtabAdapter extends ArrayAdapter<Etab> {
    LayoutInflater lif;
    public EtabAdapter(@NonNull Context context, int resource, @NonNull List<Etab> objects) {
        super(context, resource, objects);
        lif=LayoutInflater.from(context);
    }

    @NonNull
    @Override
    public View getView(int i, @Nullable View convertView, @NonNull ViewGroup parent) {
        Log.d("EtabAdapter",i+" "+convertView);
        if(convertView==null) {
            convertView = lif.inflate(R.layout.my_etab_item, null);

        }
        Etab etab=getItem(i);
        if(etab!=null){
            TextView nom=convertView.findViewById(R.id.etabNom);
            TextView adresse=convertView.findViewById(R.id.etabAdress);
            ImageView icon=convertView.findViewById(R.id.etabIcon);
            ImageButton btnDel=convertView.findViewById(R.id.btnDel);
            btnDel.setOnClickListener(new View.OnClickListener() {
              @Override
              public void onClick(View view) {
                  int nb=MyDB.getInstance(getContext())
                          .deleteEtab(getItem(i).getId());
                  if(nb>0) {
                      remove(getItem(i));
                      notifyDataSetChanged();
                  }
              }
          });
            nom.setText(etab.getNom());
            adresse.setText(etab.getAdresse());
            switch (etab.getType()){
                case "ingenerie":
                    icon.setImageResource(R.drawable.ingenierie);
                    break;
                case "droit_eco":
                    icon.setImageResource(R.drawable.droit_eco);
                    break;
                case "science_tech":
                    icon.setImageResource(R.drawable.science_tech);
                    break;
                default:
                    break;
            }
        }
        return convertView;
    }
}
