package com.emsi.tp1biir72;

import android.content.Intent;
import android.os.Bundle;
import android.text.Editable;
import android.text.TextWatcher;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ListView;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import android.widget.TextView;
import android.widget.Toast;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

import java.util.ArrayList;

public class MainActivity extends AppCompatActivity {

    ArrayList<Etab> etablissements = new ArrayList<Etab>();
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        setContentView(R.layout.activity_main);
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.main), (v, insets) -> {
            Insets systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars());
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom);
            return insets;
        });

        MyDB db = MyDB.getInstance(this);
        etablissements = db.getEtablissements();
        ListView listView = findViewById(R.id.listEtab);
        EtabAdapter adapter = new EtabAdapter(this, R.layout.my_etab_item, etablissements);
        listView.setAdapter(adapter);
        /*listView.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            @Override
            public void onItemClick(AdapterView<?> adapterView, View view, int i, long l) {
                int nb=MyDB.getInstance(MainActivity.this)
                        .deleteEtab(etablissements.get(i).getId());
                if(nb>0) {
                    etablissements.remove(i);
                    adapter.notifyDataSetChanged();
                }
            }
        });*/
        Button afficher = findViewById(R.id.afficher);
        EditText nom = findViewById(R.id.nom);
        EditText adresse = findViewById(R.id.adresse);
        EditText affichage = findViewById(R.id.affichage);
        afficher.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                affichage.setText("Le nom de l'établissement est " + nom.getText() +"\n"
                        + "L'adresse est " + adresse.getText());

                RadioGroup rg=findViewById(R.id.groupe);
                int rbType = rg.getCheckedRadioButtonId();
                String type="";
                if(rbType==R.id.radio1) type="ingenerie";
                else if(rbType==R.id.radio2) type="science_tech";
                else if(rbType==R.id.radio3) type="droit_eco";

                Etab etab= new Etab(nom.getText().toString(),adresse.getText().toString(),
                        type);
                long id=db.insertEtab(etab);
                if(id>0) {
                    etab.setId(id);
                    etablissements.add(etab);
                    adapter.notifyDataSetChanged();
                }
            }
        });
        nom.addTextChangedListener(new TextWatcher() {
            @Override
            public void beforeTextChanged(CharSequence charSequence, int i, int i1, int i2) {}
            @Override
            public void onTextChanged(CharSequence charSequence, int i, int i1, int i2) {}
            @Override
            public void afterTextChanged(Editable editable) {
                Toast.makeText(MainActivity.this, "Le nom a changé", Toast.LENGTH_SHORT).show();
            }
        });
        adresse.addTextChangedListener(new TextWatcher() {
            @Override
            public void beforeTextChanged(CharSequence charSequence, int i, int i1, int i2) {}
            @Override
            public void onTextChanged(CharSequence charSequence, int i, int i1, int i2) {}
            @Override
            public void afterTextChanged(Editable editable) {
                Toast.makeText(MainActivity.this, "L'adresse a changé", Toast.LENGTH_SHORT).show();
            }
        });
        Intent intent = getIntent();
        User user = (User) intent.getSerializableExtra("user");
        TextView pageTitle = findViewById(R.id.pageTitle);
        pageTitle.setText("Bienvenue " + user.getNom() + " " + user.getPrenom());


        //adapter.notifyDataSetChanged();
    }

    @Override
    protected void onResume() {
        super.onResume();
    }
}